Nextcloud Certbot [Résolu/Fermé]

Signaler
Messages postés
126
Date d'inscription
jeudi 20 juin 2013
Statut
Membre
Dernière intervention
8 août 2019
-
Messages postés
126
Date d'inscription
jeudi 20 juin 2013
Statut
Membre
Dernière intervention
8 août 2019
-
Bonjour,

J'ai un serveur Nextcloud dont je voudrais créer le certificat. J'ai donc saisis ses commandes:

sudo wget https://dl.eff.org/certbot-auto && sudo chmod a+x certbot-auto

sudo ./certbot-auto --apache --agree-tos --rsa-key-size 4096 --email user@domain.org --redirect -d nc.domain.org

Lors de la deuxième j'ai une erreur ./certbot-auto : commande introuvable

Pouvez-vous m'aider. Merci

1 réponse

Messages postés
29393
Date d'inscription
vendredi 5 février 2010
Statut
Modérateur
Dernière intervention
26 mai 2020
6 307
Salut,

L'erreur est plutôt clair : la commande que tu tapes est introuvable.

Le plus simple avec certbot est de l'installé localement sur la machine.

Quelle distribution tu utilises ?
Messages postés
126
Date d'inscription
jeudi 20 juin 2013
Statut
Membre
Dernière intervention
8 août 2019
6
Merci de me répondre

Oui je sais bien mais je ne sais pas pourquoi, j'ai pourtant suivi un tuto.

D'accord mais comment ? J'utilise Ubuntu 16.04.
Messages postés
29393
Date d'inscription
vendredi 5 février 2010
Statut
Modérateur
Dernière intervention
26 mai 2020
6 307 >
Messages postés
126
Date d'inscription
jeudi 20 juin 2013
Statut
Membre
Dernière intervention
8 août 2019

Sous Ubuntu, on peut utiliser le ppa.

add-apt-repository ppa:certbot/certbot
apt-get update
apt-get install certbot


Le tout en root ou en ajoutant sudo devant les commandes.

Tu pourras ainsi avoir une version à jour de certbot et tu pourras l'appeler depuis n'importe où, en tapant simplement "certbot" dans un terminal. ;-)

Après, tu peux aussi installer le module python3-certbot-apache via apt-get, pour que tu puisses utiliser la génération par dessus Apache.
Messages postés
126
Date d'inscription
jeudi 20 juin 2013
Statut
Membre
Dernière intervention
8 août 2019
6
Merci pour toutes ses indications mais j'ai un message d'erreur:

Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator apache, Installer apache
Enter email address (used for urgent renewal and security notices) (Enter 'c' to
cancel): .....@......com
Starting new HTTPS connection (1): acme-v02.api.letsencrypt.org
An unexpected error occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 292, in ssl_wrap_socket
context.load_verify_locations(ca_certs, ca_cert_dir)
FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 376, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 560, in urlopen
body=body, headers=headers)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 346, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 787, in _validate_conn
conn.connect()
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 252, in connect
ssl_version=resolved_ssl_version)
File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 294, in ssl_wrap_socket
raise SSLError(e)
requests.packages.urllib3.exceptions.SSLError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

requests.exceptions.SSLError: [Errno 2] No such file or directory

Pouvez-vous m'aider à résoudre ce problème ?